﻿New-EventLog  -Source 'Teste1' -LogName 'Application' -ComputerName Quigonjinn
Write-EventLog -EntryType 'Error'   -LogName 'Application'  -Message 'SQLBITS XI - Troubleshooting SQL Server with PowerShell' -Source 'Teste1'  -EventId 500 -ComputerName Quigonjinn

New-EventLog  -Source 'SQLBITS' -LogName 'Application' -ComputerName Quigonjinn
Write-EventLog -EntryType 'Error'   -LogName 'Application'  -Message 'SQLBITS XI - Troubleshooting SQL Server with PowerShell' -Source 'SQLBITS'  -EventId 500 -ComputerName Quigonjinn

#$Query = "select * from __InstanceCreationEvent within 5 where TargetInstance ISA 'Win32_NTLogEvent' and TargetInstance.sourcename = 'SQLBITS' and TargetInstance.eventcode = 500"
$Query = "select * from __InstanceCreationEvent within 5 where TargetInstance ISA 'Win32_NTLogEvent' and TargetInstance.sourcename = 'SQLBITS' and TargetInstance.eventcode = 500"

Register-WMIEvent -ComputerName quigonjinn  `
				  -Query $Query `
				  -Action { 
					$password = ConvertTo-SecureString (Get-Content "c:\temp\GmailEmailPassword.txt") -AsPlainText -Force
					$Credential  = New-Object system.Management.Automation.PSCredential 'powershellside@gmail.com',$password
					$param = @{ SmtpServer = 'smtp.gmail.com'    
						Port = 587    
						UseSsl = $true    
						Credential = $Credential
						From = 'powershellside@gmail.com'    
						To = 'laertesqldba@outlook.com'    
						Subject = "Alert EventViewer - $($event.SourceEventArgs.NewEvent.TargetInstance.ComputerName)  "   
						body =	(	
"Server : $($event.SourceEventArgs.NewEvent.TargetInstance.ComputerName) `r`n `
Event Code : $($event.SourceEventArgs.NewEvent.TargetInstance.EventCode) `r`n `
Log File : $($event.SourceEventArgs.NewEvent.TargetInstance.LogFile) `r`n `
Message : $($event.SourceEventArgs.NewEvent.TargetInstance.Message) `r`n `
Source Name : $($event.SourceEventArgs.NewEvent.TargetInstance.SourceNAme) `r`n `
Time Written : $([Management.ManagementDateTimeConverter]::ToDateTime($event.SourceEventArgs.NewEvent.TargetInstance.TimeWritten)) `r`n `
Type: $($event.SourceEventArgs.NewEvent.targetinstance.type)"

										)	
					} 
					Send-MailMessage @param
				} 		