﻿#Region Troubleshooting_2_HighCPU

#5 Processos mais pesados
#5 Top Process by cpu
Get-Process | Sort-Object cpu -Descending | select -First 5

#5 Processos mais pesados Obiwan
#5 Top Process by CPU Obiwan - Bug in CPU Column
Get-Process -ComputerName OBiWan | Sort-Object cpu -Descending | select -First 5

#Bug na Coluna CPU quando Remoto - Usar WMI - Não gosto
#Ican use WMI - Don´t like it.
Get-WmiObject Win32_Process -computername QuiGonJinn  `
							| select 	Name, `
										@{Name="CPU_Time"; Expression={$_.kernelmodetime + $_.usermodetime}} `
							| sort CPU_Time -Descending

#Ou Usar Invoke-Command
#Use Invoke-Command
Invoke-Command  -ScriptBlock {get-process | Sort-Object cpu -Descending | select  -First 5 } `
				-ComputerName Obiwan


#Lets up the CPU on Obiwan.
#Run DBCC on Obiwan (master, model,tempdb)
#Lets see if really the processor is high
get-counter -counter "\Processor(_total)\% Processor Time" -ComputerName Obiwan -Continuous `
| select -ExpandProperty countersamples

#Exclude Idle and total

Get-Counter -ComputerName obiwan  '\process(*)\% processor time' |
select  -ExpandProperty countersamples |
where {  $_.path -notmatch '^*_total|idle*'}|
Sort-Object CookedValue -Descending |
select -First 5
